<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS
 * плагин comuser_uploader
**/

// выдача списка файлов в публичную страницу загрузок

if ( $post = mso_check_post(array('comusers_id')) )
{
	mso_checkreferer(); // защищаем реферер

	$comusers_id = $post['comusers_id'];
    if (!is_numeric($comusers_id)) die('comuser_error');
		
	$options = mso_get_option('comuser_uploader', 'plugins', array() );

    // проверим доступность - если запрещено отдавать файлы
	if (isset($options['no_public_uploads']) and $options['no_public_uploads']) die('access error');
	if (!isset($options['user_subdir'])) $options['user_subdir'] =  'userfile';
		   
    require (getinfo('plugins_dir') . 'comuser_uploader/functions_userfile.php' );	   
	$dirs = get_userfiles($comusers_id, $options['user_subdir'], $post['sort']);
		   
	$all_files_res = '';

	$allowed_types = (isset($options['allowed_types_comuser'])) ? $options['allowed_types_comuser'] : 'gif|jpg|jpeg|png|pdf';
	$allowed_ext = explode('|', $allowed_types);
	
	$show_size = (isset($options['show_size'])) ? $options['show_size'] : '1';

    $subdir = (isset($options['user_subdir'])) ? $options['user_subdir'] : 'userfile';
    $current_dir = $subdir . '/' . $comusers_id;

	$uploads_dir = getinfo('uploads_dir') . '/' . $current_dir;
	$uploads_url = getinfo('uploads_url') .  $current_dir;
	
	
	foreach ($dirs as $file)
	{
		$ext = strtolower(str_replace('.', '', strrchr($file['file'], '.'))); // расширение файла
		if (!in_array($ext, $allowed_ext)) continue;
		$this_img = ($ext == 'jpg' or $ext == 'jpeg' or $ext == 'gif' or $ext == 'png');
		
		$title = htmlspecialchars($file['file']);
		
		$u_file = $mini = $mini_100 = $uploads_url. '/' . $file['file'];
		
		// адрес относительно сайта
		$u_file_site = str_replace(getinfo('site_url'), '', $u_file);
		
		if ($this_img) 
		{
			if (file_exists($uploads_dir . '/_mso_i/' . $file['file']))
				$mini_100 = $mini = $uploads_url . '/_mso_i/' . $file['file'];
			
			if (file_exists($uploads_dir . '/mini/' . $file['file']))
				$mini = $uploads_url . '/mini/' . $file['file'];
		}
		
		$all_files_res .= '<div class="all-files-image">';
		$all_files_res .= '<div class="all-files-image-mini">';			
		if ($this_img) // изображение 
		{
            $all_files_res .= 
			   '<a class="lightbox" target="_blank" title="' . $title  . $file['date'] . '" href="' . $u_file . '"><img class="w100px-max" src="' . $mini_100 . '"></a>';
		}
		else  // файл 
		{
			$all_files_res .= '<a target="_blank" href="' . $u_file . '"><img src="' . getinfo('admin_url') . 'plugins/admin_files/document_plain.png" title="' . $title . $file['date'] . '"></a>';
		}
		
        $use_out = '';
		if ($file['use']) 
        {
			//$use_out .= t('Использовано: ');
		    foreach ($file['use'] as $use)
            {
                $link = getinfo('siteurl') . $use['link'];
                $use_out .= '<a href="' . $link . '" target="_blank" title="Перейти к сообщению ' . $use['title'] . ', в котором использован файл">* </a>';
            }	
            $use_out = '<span title="' . t('Использовано') . '">' . $use_out . '</span>';			
        }
       
		$all_files_res .= 
			      '<div class="mar5-t">' . $use_out	. '</div></div>';
	    // $all_files_res .= '<div class="all-files-image-actions"></div>';		

		$all_files_res .= '</div>'; 
	}
	
	if (!$all_files_res) $all_files_res = t('Нет загруженных файлов');
	echo $all_files_res . '<div class="clearfix"></div>';
}


else die('unknow');
# end of file